# Uses of Class
javafx.scene.input.ScrollEvent

Packages that use ScrollEvent
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of ScrollEvent in javafx.scene

Methods in javafx.scene that return types with arguments of type ScrollEvent
Modifier and Type
Method
Description
`final EventHandler<? super ScrollEvent>`
Node.`getOnScroll()`
Gets the value of the `onScroll` property.
`final EventHandler<? super ScrollEvent>`
Scene.`getOnScroll()`
Gets the value of the `onScroll` property.
`final EventHandler<? super ScrollEvent>`
Node.`getOnScrollFinished()`
Gets the value of the `onScrollFinished` property.
`final EventHandler<? super ScrollEvent>`
Scene.`getOnScrollFinished()`
Gets the value of the `onScrollFinished` property.
`final EventHandler<? super ScrollEvent>`
Node.`getOnScrollStarted()`
Gets the value of the `onScrollStarted` property.
`final EventHandler<? super ScrollEvent>`
Scene.`getOnScrollStarted()`
Gets the value of the `onScrollStarted` property.
`final ObjectProperty<EventHandler<? super ScrollEvent>>`
Node.`onScrollFinishedProperty()`
Defines a function to be called when a scrolling gesture ends.
`final ObjectProperty<EventHandler<? super ScrollEvent>>`
Scene.`onScrollFinishedProperty()`
Defines a function to be called when a scrolling gesture ends.
`final ObjectProperty<EventHandler<? super ScrollEvent>>`
Node.`onScrollProperty()`
Defines a function to be called when user performs a scrolling action.
`final ObjectProperty<EventHandler<? super ScrollEvent>>`
Scene.`onScrollProperty()`
Defines a function to be called when user performs a scrolling action.
`final ObjectProperty<EventHandler<? super ScrollEvent>>`
Node.`onScrollStartedProperty()`
Defines a function to be called when a scrolling gesture is detected.
`final ObjectProperty<EventHandler<? super ScrollEvent>>`
Scene.`onScrollStartedProperty()`
Defines a function to be called when a scrolling gesture is detected.
Method parameters in javafx.scene with type arguments of type ScrollEvent
Modifier and Type
Method
Description
`final void`
Node.`setOnScroll(EventHandler<? super ScrollEvent> value)`
Sets the value of the `onScroll` property.
`final void`
Scene.`setOnScroll(EventHandler<? super ScrollEvent> value)`
Sets the value of the `onScroll` property.
`final void`
Node.`setOnScrollFinished(EventHandler<? super ScrollEvent> value)`
Sets the value of the `onScrollFinished` property.
`final void`
Scene.`setOnScrollFinished(EventHandler<? super ScrollEvent> value)`
Sets the value of the `onScrollFinished` property.
`final void`
Node.`setOnScrollStarted(EventHandler<? super ScrollEvent> value)`
Sets the value of the `onScrollStarted` property.
`final void`
Scene.`setOnScrollStarted(EventHandler<? super ScrollEvent> value)`
Sets the value of the `onScrollStarted` property.

## Uses of ScrollEvent in javafx.scene.input

Fields in javafx.scene.input with type parameters of type ScrollEvent
Modifier and Type
Field
Description
`static final EventType<ScrollEvent>`
ScrollEvent.`ANY`
Common supertype for all scroll event types.
`static final EventType<ScrollEvent>`
ScrollEvent.`SCROLL`
This event occurs when user performs a scrolling action such as rotating mouse wheel or dragging a finger over touch screen.
`static final EventType<ScrollEvent>`
ScrollEvent.`SCROLL_FINISHED`
This event occurs when a scrolling gesture ends.
`static final EventType<ScrollEvent>`
ScrollEvent.`SCROLL_STARTED`
This event occurs when a scrolling gesture is detected.
Methods in javafx.scene.input that return ScrollEvent
Modifier and Type
Method
Description
`ScrollEvent`
ScrollEvent.`copyFor(Object newSource, EventTarget newTarget)`
`ScrollEvent`
ScrollEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<ScrollEvent> type)`
Creates a copy of the given event with the given fields substituted.
Methods in javafx.scene.input that return types with arguments of type ScrollEvent
Modifier and Type
Method
Description
`EventType<ScrollEvent>`
ScrollEvent.`getEventType()`
Method parameters in javafx.scene.input with type arguments of type ScrollEvent
Modifier and Type
Method
Description
`ScrollEvent`
ScrollEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<ScrollEvent> type)`
Creates a copy of the given event with the given fields substituted.
Constructor parameters in javafx.scene.input with type arguments of type ScrollEvent
Modifier
Constructor
Description
``
`ScrollEvent(Object source, EventTarget target, EventType<ScrollEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, boolean inertia, double deltaX, double deltaY, double totalDeltaX, double totalDeltaY, ScrollEvent.HorizontalTextScrollUnits textDeltaXUnits, double textDeltaX, ScrollEvent.VerticalTextScrollUnits textDeltaYUnits, double textDeltaY, int touchCount, PickResult pickResult)`
Constructs new ScrollEvent event.
``
`ScrollEvent(EventType<ScrollEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, boolean inertia, double deltaX, double deltaY, double totalDeltaX, double totalDeltaY, double multiplierX, double multiplierY, ScrollEvent.HorizontalTextScrollUnits textDeltaXUnits, double textDeltaX, ScrollEvent.VerticalTextScrollUnits textDeltaYUnits, double textDeltaY, int touchCount, PickResult pickResult)`
Constructs new ScrollEvent event with null source and target
``
`ScrollEvent(EventType<ScrollEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, boolean inertia, double deltaX, double deltaY, double totalDeltaX, double totalDeltaY, ScrollEvent.HorizontalTextScrollUnits textDeltaXUnits, double textDeltaX, ScrollEvent.VerticalTextScrollUnits textDeltaYUnits, double textDeltaY, int touchCount, PickResult pickResult)`
Constructs new ScrollEvent event with null source and target